Subject: Re: filtering of mailing lists and NATs

From: Eric Rosen <[email-masked]>
Date: Tue, 22 May 2001 12:26:40 -0400

Christian> I  would   much  rather  receive  and   delete  another  annoying
Christian> proposition to get rich quick or see lurid pictures than tolerate
Christian> any form of censorship.  

As has been pointed out, the non-member messages can be moderated.  It takes
about one  second to look  at a message  and tell whether it  is unsolicited
commercial or  not.  So the downside  is that the non-member  message may be
delayed for  a bit  until the moderator  gets to  it.  I wouldn't  call that
censorship.  (I  think one  has to  be very privileged  indeed to  confuse a
small inconvenience with censorship.)

Unless, of  course, you think that  people have a RIGHT  to send unsolicited
commercial email to IETF mailing lists.

---

From: Keith Moore <[email-masked]>
Date: Tue, 22 May 2001 12:39:19 -0400

> As has been pointed out, the non-member messages can be moderated. 

yes they can.  but this requires a moderator who has the time to do 
it, who can consistently do it in a timely manner, who acts as a 
spam filter rather censoring content with which he/she does not
agree, and who is trusted by everyone (or very nearly everyone) 
who wants to participate on the list.

and yes this is much better than insisting that people subscribe
to a list in order to post.  and it has worked fairly well for
a number of the lists that I run.

but I think it would be difficult to find a moderator for the 
ietf list that meets the above criteria.

Keith

---

From: "Christian Huitema" <[email-masked]>
Date: Tue, 22 May 2001 09:06:38 -0700

> > So, here are the choices:
> >
> > 1. Save thousands of people from having to deal with multiple spams
per
> day,
> >    at the cost of presenting a minor inconvenience to a few, or
> >
> > 2. Require thousands  of people to receive  and deal with spam  (or
to
> learn
> >    all about mail filtering), in order to avoid inconveniencing a
few.
> 
> you have it backwards.  all subscribers of the list are
'inconvenienced'
> if we discourage legitimate contributions from folks who are not
willing
> to jump through arbitrary and time-consuming hoops that we impose on
them
> just because a few people insisted (even in the face of evidence to
the
> contrary) that they knew what was best for everyone else.

There is a fine line between "anti-spam" and "censorship." I would much
rather receive and delete another annoying proposition to get rich quick
or see lurid pictures than tolerate any form of censorship. This
translates into an engineering requirement. Anti-spam filters, like all
filters generate false positive, i.e. declare as spam something that is
in fact legitimate, and false negative, i.e. declare as legitimate a
message that in fact is spam. The openness requirement of the IETF
translates in a requirement to eliminate "false negative." This is the
IETF, we ought to be able to engineer that.

-- Christian Huitema

---

From: Maurizio Codogno <[email-masked]>
Date: Tue, 22 May 2001 19:43:07 +0200

In die Tue, 22 May 2001 12:26:40 -0400
Eric Rosen <[email-masked]> scripsit:

> commercial or  not. 

but this means 
 - that there is a person who has the right to decide whether the 
message is spam or not
 - that this person is willing to bear the burden for the sake of the 
whole community.

I happen to do this for some lists, but it's a nuisance, I may assure you.

ciao, .mau.

---

From: "Tony Hain" <[email-masked]>
Date: Tue, 22 May 2001 13:22:51 -0700

My mail filters must be very effective. The > 20 messages on this thread in
the last 2 days constitute over a months worth of spam I have been aware of.
Now if I could only figure out how to construct an automated filter for:

if list = IETF and content = 'personal inconvenience rant' then permanently
delete

Tony

FWIW: I agree with Keith's original tenant that technology applied without
my express awareness & consent (like NAT in the general case) is
inappropriate. I also agree with KRE that spam is a social rather than
technical problem, and any centralized technical approach will be worked
around. Rather than complain that someone else is not doing the work, maybe
those who don't want to take the time to construct their own filters should
ask the list if anyone else might be running their favorite mail tool and is
willing to share an existing rule set.

If you want to make sure I never see your message just include the strings
'$' or 'subscribe' in the subject, or send with any of these strings
anywhere in the header:
@none
163.net
163.com
21cn.edu.cn
263.net
263.com
363.net
363.com
auxaux.com
china.com
sina.com
cn99.com
com.cn
cpri.net
dicult.co.jp
dta.net.cn
elong.com
f9.mail.ru
fj.cn
fj.fz.cn
jx.cn
Kysi Ferul
kyungin-c.ac.kr
mediforums.com
nbzh.com
netease.com
xxx@

---

From: Eric Rosen <[email-masked]>
Date: Tue, 22 May 2001 20:49:51 -0400

Maurizio> but this means 
Maurizio> - that there is a person who has the right to decide whether the 
Maurizio> message is spam or not
Maurizio> - that this person is willing to bear the burden for the sake of the 
Maurizio> whole community.

Maurizio> I happen  to do this  for some lists,  but it's a nuisance,  I may
Maurizio> assure you.

I do this  for the mailing list of  the MPLS working group, so  I'm aware of
what a nuisance it is.  But as far as mailing list management goes, it's not
nearly as big a nuisance as trying to figure out which of the error messages
to owner-mpls  are bogus  and which  are real.  (The  mailing list  has 3000
members and each message to it results in 100 error messages.)

It's  not  hard  to  decide  whether a  particular  message  is  unsolicited
commercial email or not, that's not something that people disagree about.

---

From: Maurizio Codogno <[email-masked]>
Date: Wed, 23 May 2001 08:50:35 +0200

In die Tue, 22 May 2001 20:49:51 -0400

> members and each message to it results in 100 error messages.)

mailman seems to have an automated way to put subscribers whose email 
bounces out of the list, but I must confess I prefer to look at the 
errors and decide case per case. Luckily, my lists have at most 400 users.

ciao, .mau.